## org.hibernate.dialect.function
Class ClassicSumFunction

    java.lang.Object
      org.hibernate.dialect.function.StandardSQLFunction
          org.hibernate.dialect.function.ClassicSumFunction

All Implemented Interfaces:
  SQLFunction

    public class ClassicSumFunction

extends StandardSQLFunction

Classic SUM sqlfunction that return types as it was done in Hibernate 3.1

Constructor Summary
`ClassicSumFunction()`

Method Summary

Methods inherited from class org.hibernate.dialect.function.StandardSQLFunction
`getName, getReturnType, getType, hasArguments, hasParenthesesIfNoArguments, render, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassicSumFunction

    public ClassicSumFunction()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.